body {
    font-family: Arial, sans-serif;
    background-color: #fff;
    background-image: url('images/cadastro.jpg');
    background-size: cover; /* Para cobrir toda a tela */
    background-repeat: no-repeat;
}

.container {
    max-width: 700px;
    margin: 0 auto;
    padding: 50px;
    background-color: #f0f0f0;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

h2 {
  font-size: x-large;
  font-weight: bold;
  padding-bottom: 40px;

}

.form-group {
    margin-bottom: 20px;
}
.form-group label {
    display: block;
    font-weight: bold;
}

.form-group.input-group {
  display: flex;
  align-items: center;
}

.form-group.input-group label {
  flex: 1;
  margin-right: 10px;
}

.form-group input[type="text"],
.form-group input[type="date"],
.form-group input[type="tel"],
.form-group input[type="email"],
.form-group input[type="inactive"]{
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
}
.form-group select {
    width: 100%;
    padding: 10px;
    border: 1px solid #d8d8d8;
    border-radius: 3px;
}
.form-group .radio-group {
    display: flex;
    justify-content: space-between;
}
.form-group .radio-group label {
    margin-right: 4px;
}
.form-group .radio-group input[type="radio"] {
    margin-right: 4px;
}
.error-message {
    color: red;
}
.submit-button {
    background-color: #007bff;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 3px;
    cursor: pointer;
}

input[readonly] {

  background-color: #e9e9e9;
  cursor: not-allowed;

}

.caixa-mensagem {
    width: 300px;
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    padding: 20px;
    text-align: center;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    display: none; /* Ocultar por padrão */
    z-index:2
}

/* Estilos para o botão "OK" */
.botao-ok {
    background-color: #007bff;
    color: #fff;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
}



.sk-chase {
  width: 40px;
  height: 40px;
  position: fixed; /* Use 'absolute' para posicioná-lo sobre outras camadas */
  z-index: 9999; /* Um número alto de z-index para garantir que fique acima de outras camadas */
  top: 50%; /* Ajuste a posição vertical conforme necessário */
  left: 49%; /* Ajuste a posição horizontal conforme necessário */
  animation: sk-chase 2.5s infinite linear both;
  display: none;
  text-align: center;
  line-height: 200px;
}


.sk-chase-dot {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0; 
  animation: sk-chase-dot 2.0s infinite ease-in-out both; 
}

.sk-chase-dot:before {
  content: '';
  display: block;
  width: 25%;
  height: 25%;
  background-color: #0000FF;
  border-radius: 100%;
  animation: sk-chase-dot-before 2.0s infinite ease-in-out both; 
}

.sk-chase-dot:nth-child(1) { animation-delay: -1.1s; }
.sk-chase-dot:nth-child(2) { animation-delay: -1.0s; }
.sk-chase-dot:nth-child(3) { animation-delay: -0.9s; }
.sk-chase-dot:nth-child(4) { animation-delay: -0.8s; }
.sk-chase-dot:nth-child(5) { animation-delay: -0.7s; }
.sk-chase-dot:nth-child(6) { animation-delay: -0.6s; }
.sk-chase-dot:nth-child(1):before { animation-delay: -1.1s; }
.sk-chase-dot:nth-child(2):before { animation-delay: -1.0s; }
.sk-chase-dot:nth-child(3):before { animation-delay: -0.9s; }
.sk-chase-dot:nth-child(4):before { animation-delay: -0.8s; }
.sk-chase-dot:nth-child(5):before { animation-delay: -0.7s; }
.sk-chase-dot:nth-child(6):before { animation-delay: -0.6s; }

@keyframes sk-chase {
  100% { transform: rotate(360deg); } 
}

@keyframes sk-chase-dot {
  80%, 100% { transform: rotate(360deg); } 
}

@keyframes sk-chase-dot-before {
  50% {
    transform: scale(0.4); 
  } 100%, 0% {
    transform: scale(1.0); 
  } 
}
.caixa-mensagem i {
display: inline-block;
vertical-align: middle;
font-size: 24px; /* Ajuste o tamanho do ícone conforme necessário */
}

.caixa-mensagem p {
display: inline-block;
vertical-align: middle;
margin: 0;
}
/* Adiciona uma transição suave para campos de entrada quando estão focados */

.form-group input[type="text"]:focus,
.form-group input[type="date"]:focus,
.form-group input[type="tel"]:focus {
background-color: #e0e0e0;
transition: background-color 0.3s ease;
}
/* Adiciona efeito de transição para os botões */
.submit-button,
.botao-ok {
transition: background-color 0.3s ease, color 0.3s ease;
}

/* Efeito quando o botão é pressionado */
.submit-button:active,
.botao-ok:active {
background-color: #0056b3; /* Nova cor quando o botão é pressionado */
}

/* Estilo para a camada de fundo */
#overlay {
display: none;
position:fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.5); /* Cor de fundo semitransparente */
z-index: 1;
}